--- main/rtp.c	2009-08-03 17:16:33.000000000 +0000
+++ main/rtp.c.orig	2009-07-23 15:52:10.000000000 +0000
@@ -82,8 +82,6 @@
 #endif
 static int strictrtp;
 
-static int rtpfixdtmf;		/* A flag to indicate if an RTP packet needs to be sent prior to sending DTMF.  This help Sonus recognize the RFC2833 packets. */
-
 enum strict_rtp_state {
 	STRICT_RTP_OPEN = 0, /*! No RTP packets should be dropped, all sources accepted */
 	STRICT_RTP_LEARN,    /*! Accept next packet as source */
@@ -3042,24 +3040,6 @@
 	int hdrlen = 12, res = 0, i = 0, payload = 0;
 	char data[256];
 
-	if (rtpfixdtmf)
-	{
-		unsigned char silent_data[160];
-		struct ast_frame silent_frame;
-
-		/* A better solution would be to convert this frame to the last codec, but sending a ulaw packet seems to work for Sonus */
-		memset(&silent_frame, 0, sizeof(silent_frame));
-		memset(silent_data, 0xff, sizeof(silent_data));
-		silent_frame.frametype = AST_FRAME_VOICE;
-		silent_frame.subclass = AST_FORMAT_ULAW;
-		silent_frame.data.ptr = silent_data;
-		silent_frame.datalen = sizeof(silent_data);
-		silent_frame.samples = 160;
-		silent_frame.src = "RTP";
-
-		ast_rtp_write(rtp, &silent_frame);
-	}
-
 	if ((digit <= '9') && (digit >= '0'))
 		digit -= '0';
 	else if (digit == '*')
@@ -4775,7 +4755,6 @@
 	rtpend = 31000;
 	dtmftimeout = DEFAULT_DTMF_TIMEOUT;
 	strictrtp = STRICT_RTP_OPEN;
-	rtpfixdtmf = 0;
 	if (cfg) {
 		if ((s = ast_variable_retrieve(cfg, "general", "rtpstart"))) {
 			rtpstart = atoi(s);
@@ -4822,9 +4801,6 @@
 		if ((s = ast_variable_retrieve(cfg, "general", "strictrtp"))) {
 			strictrtp = ast_true(s);
 		}
-		if ((s = ast_variable_retrieve(cfg, "general", "rtpfixdtmf"))) {
-			rtpfixdtmf = ast_true(s);
-		}
 		ast_config_destroy(cfg);
 	}
 	if (rtpstart >= rtpend) {
